Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1573110 - Un-managed cluster's alerts are displayed in UI
Summary: Un-managed cluster's alerts are displayed in UI
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: web-admin-tendrl-commons
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: RHGS 3.4.0
Assignee: gowtham
QA Contact: Filip Balák
URL:
Whiteboard:
Depends On:
Blocks: 1503137
TreeView+ depends on / blocked
 
Reported: 2018-04-30 08:22 UTC by gowtham
Modified: 2018-09-04 07:06 UTC (History)
7 users (show)

Fixed In Version: tendrl-commons-1.6.3-4.el7rhgs
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 07:05:15 UTC
Target Upstream Version:


Attachments (Terms of Use)
un-managed cluster alerts (31.00 KB, image/png)
2018-04-30 08:22 UTC, gowtham
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github Tendrl commons issues 949 0 None None None 2018-04-30 08:23:11 UTC
Red Hat Product Errata RHSA-2018:2616 0 None None None 2018-09-04 07:06:23 UTC

Description gowtham 2018-04-30 08:22:24 UTC
Created attachment 1428704 [details]
un-managed cluster alerts

Description of problem:

During un-manage flow, all alerts for the particular cluster should be deleted. It can show the other managed cluster alerts but it should not show un-managed cluster's alerts.

Version-Release number of selected component (if applicable):


How reproducible:
create some alerts for managed cluster and fire unmanaged cluster flow. Alerts which is related to that unmanaged cluster is still present.

Steps to Reproduce:
1. Create some alert for managed cluster
2. Un-manage the cluster
3. In alerting window no alerts will be deleted for that un-managed cluster

Actual results:
alerting window shows alerts for managed and unmanaged clusters

Expected results:
alerting window should show only alerts for managed clusters

Additional info:

Comment 5 Filip Balák 2018-05-30 14:54:54 UTC
Alerts related to unmanaged cluster are deleted and alerts related to other managed clusters are kept. --> VERIFIED

Tested with:
tendrl-ansible-1.6.3-4.el7rhgs.noarch
tendrl-api-1.6.3-3.el7rhgs.noarch
tendrl-api-httpd-1.6.3-3.el7rhgs.noarch
tendrl-commons-1.6.3-5.el7rhgs.noarch
tendrl-grafana-plugins-1.6.3-3.el7rhgs.noarch
tendrl-grafana-selinux-1.5.4-2.el7rhgs.noarch
tendrl-monitoring-integration-1.6.3-3.el7rhgs.noarch
tendrl-node-agent-1.6.3-5.el7rhgs.noarch
tendrl-notifier-1.6.3-3.el7rhgs.noarch
tendrl-selinux-1.5.4-2.el7rhgs.noarch
tendrl-ui-1.6.3-2.el7rhgs.noarch

Comment 7 errata-xmlrpc 2018-09-04 07:05:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2616


Note You need to log in before you can comment on or make changes to this bug.